%global momorel 1

Summary: btnx configuration utility
Name: btnx-config
Version: 0.4.9
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.ollisalonen.com/btnx/
Group: Applications/System
Source0: http://www.ollisalonen.com/btnx/%{name}-%{version}.tar.gz
NoSource: 0
Source1: %{name}.pam
Source2: %{name}.consoleapp
Patch0: %{name}-0.4.7-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: btnx >= %{version}
Requires: usermode-gtk
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: yelp

%description
btnx configuration utility.

btnx is a daemon that sniffs events from the mouse event handler.
If it recognizes a configured event, it sends a keyboard and/or mouse
combination event to uinput. This means you can configure certain
mouse buttons to send keyboard and mouse events to X.

It is useful for mice with more buttons than window managers can
handle. It also means you won't need to manually edit your window
manager and X configurations to get additional functionality from
extra buttons.

The configuration file for btnx is located at /etc/btnx/btnx_config.
The configuration file is edited with btnx-config. You must install
and run btnx-config before btnx will work.
After changing the config file, make sure to restart btnx in btnx-config
or by running

%prep
%setup -q
%patch -p1 -b .desktop~

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# fix permission
chmod 755 %{buildroot}%{_sbindir}/btnx-config

# install pam configuration
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
ln -s consolehelper %{buildroot}%{_bindir}/btnx-config
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/btnx-config
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.apps/btnx-config

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog INSTALL NEWS
%config(noreplace) %{_sysconfdir}/pam.d/btnx-config
%config(noreplace) %{_sysconfdir}/security/console.apps/btnx-config
%{_bindir}/btnx-config
%{_sbindir}/btnx-config
%{_datadir}/applications/btnx-config.desktop
%{_datadir}/btnx-config
%{_datadir}/locale/*/LC_MESSAGES/btnx-config.mo
%{_datadir}/omf/btnx-config
%{_datadir}/pixmaps/btnx.png

%changelog
* Fri May  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9-1m)
- version 0.4.9

* Fri Apr 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8-1m)
- version 0.4.8

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.7-2m)
- rebuild against gcc43

* Tue Mar 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.7-1m)
- initial package for cutting-edge mouse freaks using Momonga Linux
